Skip to main content
GET
Get a library-anomaly category

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

extend
enum<string>[]

Extend options (JSON-encoded array, e.g. ?extend=["category"]):

  • "subcategories": The active subcategories belonging to this category.
  • "count-library-anomalies": Adds countLibraryAnomalies (distinct active LibraryAnomaly rows referencing this category, directly or via one of its subcategories).
  • "actions-info": Adds actions - which mutations are currently possible on this category.
  • "updatable-fields": Per-field write rules for this category in its current state.
Available options:
subcategories,
count-library-anomalies,
actions-info,
updatable-fields

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
name
string
required
Required string length: 1 - 100
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
subcategories
object[]
countLibraryAnomalies
integer
Required range: 0 <= x <= 9007199254740991
actions
object
updatableFields
object